curl --request GET \
--url https://api.arize.com/v2/annotation-queues/{annotation_queue_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/annotation-queues/{annotation_queue_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/annotation-queues/{annotation_queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/annotation-queues/{annotation_queue_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/annotation-queues/{annotation_queue_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.arize.com/v2/annotation-queues/{annotation_queue_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/annotation-queues/{annotation_queue_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "aq_abc123",
"name": "Quality Review Queue",
"space_id": "spc_xyz789",
"instructions": "Review each response for accuracy and helpfulness",
"annotation_configs": [
{
"id": "ac_001",
"name": "accuracy",
"type": "CONTINUOUS",
"space_id": "spc_xyz789",
"minimum_score": 0,
"maximum_score": 10,
"optimization_direction": "MAXIMIZE",
"created_at": "2024-01-10T08:00:00Z"
},
{
"id": "ac_002",
"name": "sentiment",
"type": "CATEGORICAL",
"space_id": "spc_xyz789",
"values": [
{
"label": "positive",
"score": 1
},
{
"label": "neutral",
"score": 0
},
{
"label": "negative",
"score": -1
}
],
"optimization_direction": "MAXIMIZE",
"created_at": "2024-01-10T08:00:00Z"
}
],
"annotators": [
{
"id": "usr_001",
"email": "reviewer@example.com"
},
{
"id": "usr_002",
"email": "annotator@example.com"
}
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:45:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Get an annotation queue
Get an annotation queue object by its ID.
This includes the annotation queueās annotation configs, which define the structure of annotations that can be created in this queue.
This endpoint does not include queue records or annotation progress. To manage records in a queue, use the Annotation Queue Items endpoints.
curl --request GET \
--url https://api.arize.com/v2/annotation-queues/{annotation_queue_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/annotation-queues/{annotation_queue_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/annotation-queues/{annotation_queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/annotation-queues/{annotation_queue_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/annotation-queues/{annotation_queue_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.arize.com/v2/annotation-queues/{annotation_queue_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/annotation-queues/{annotation_queue_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "aq_abc123",
"name": "Quality Review Queue",
"space_id": "spc_xyz789",
"instructions": "Review each response for accuracy and helpfulness",
"annotation_configs": [
{
"id": "ac_001",
"name": "accuracy",
"type": "CONTINUOUS",
"space_id": "spc_xyz789",
"minimum_score": 0,
"maximum_score": 10,
"optimization_direction": "MAXIMIZE",
"created_at": "2024-01-10T08:00:00Z"
},
{
"id": "ac_002",
"name": "sentiment",
"type": "CATEGORICAL",
"space_id": "spc_xyz789",
"values": [
{
"label": "positive",
"score": 1
},
{
"label": "neutral",
"score": 0
},
{
"label": "negative",
"score": -1
}
],
"optimization_direction": "MAXIMIZE",
"created_at": "2024-01-10T08:00:00Z"
}
],
"annotators": [
{
"id": "usr_001",
"email": "reviewer@example.com"
},
{
"id": "usr_002",
"email": "annotator@example.com"
}
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:45:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Service accounts may instead present an access token issued by an external identity provider (Microsoft Entra ID) when the account admin has configured that provider. Send it in the same header: Authorization: Bearer <access-token>.
Path Parameters
Response
An annotation queue object
Was this page helpful?